miniprelude.c File Reference
`#include "ruby/ruby.h"`
`#include "internal.h"`
`#include "vm_core.h"`

Go to the source code of this file.

## Macros

#define | PRELUDE_COUNT 0

## Functions

static void | prelude_eval (VALUE code, VALUE name, VALUE line)
void | Init_prelude (void)

## Variables

static const char | prelude_name0 [] = "<internal:prelude>"
static const char | prelude_code0 []

## Macro Definition Documentation

#define PRELUDE_COUNT 0

Definition at line 46 of file miniprelude.c.

## Function Documentation

void Init_prelude | ( | void |  | ) |

Definition at line 56 of file miniprelude.c.

static void prelude_eval | ( | VALUE | code,
|  | VALUE | name,
|  | VALUE | line
| ) |  |

static

Definition at line 50 of file miniprelude.c.

References Qnil, Qtrue, rb_iseq_compile_with_option(), and rb_iseq_eval().

Referenced by Init_prelude().

## Variable Documentation

const char prelude_code0[]

static

Definition at line 12 of file miniprelude.c.

Referenced by Init_prelude().

const char prelude_name0[] = "<internal:prelude>"

static

Definition at line 11 of file miniprelude.c.

Referenced by Init_prelude().